/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.modelsconference.ui;

import static org.fortiss.af3.platform.modelsconference.ModelsConferencePlatformElementFactory.createDemonstratorBoard;

import org.fortiss.af3.platform.raspberry.model.RaspberryPi;
import org.fortiss.tooling.kernel.extension.base.PrototypeProviderBase;

/** {@link PrototypeProviderBase} for models conference board elements. */
public class MCBProtoypeProvider extends PrototypeProviderBase {
	/** Stores the category to display for these prototypes. */
	protected final static String CATEGORY_NAME = "Models Conference";

	/** {@inheritDoc} */
	@Override
	protected void registerPrototypes() {
		RaspberryPi pi = createDemonstratorBoard();
		registerPrototypeCategory(CATEGORY_NAME);
		registerPrimaryPrototype("Models Conference Demo Board", pi, CATEGORY_NAME);
	}
}
