/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.modelsconference.ui.generator;

import static org.fortiss.tooling.kernel.utils.LoggingUtils.error;

import java.io.IOException;

import org.eclipse.swt.widgets.Display;
import org.fortiss.af3.deployment.ui.generator.DeploymentGeneratorExecutionTarget;
import org.fortiss.af3.platform.modelsconference.ui.AF3PlatformModelsConferencUIActivator;
import org.fortiss.af3.project.extension.data.Executable;

/**
 * ExecutionTarget for deployment generator extended with a call of a deploy script.
 * 
 * @author bayha
 */
public class SSHDeploymentGeneratorExecutionTarget extends DeploymentGeneratorExecutionTarget {
	/** {@inheritDoc} */
	@Override
	protected void doExecute(Executable executable) {
		super.doExecute(executable);

		Runtime r = Runtime.getRuntime();

		Display.getDefault().asyncExec(new Runnable() {
			@Override
			public void run() {
				Process p;
				int retCode = -1;

				try {
					p = r.exec("deploy");
					// retCode = p.waitFor();
				}
				// catch(InterruptedException e) {
				// error(AF3PlatformModelsConferencUIActivator.getDefault(),
				// "InterruptedException when deploying:\n" + e);
				// }
				catch(IOException e) {
					error(AF3PlatformModelsConferencUIActivator.getDefault(),
							"IOException when deploying:\n" + e);
				}

				// if(retCode != 0) {
				// error(AF3PlatformModelsConferencUIActivator.getDefault(),
				// "Generated code could not be deployed.");
				// }
			}
		});
	}
}
